/*
 * [DollarNumberEditor.java]
 *
 * Summary: Dollar NumberEditor for a JSpinner.
 *
 * Copyright: (c) 2007-2016 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2007-08-15
 */
package com.mindprod.spinner;

import javax.swing.JFormattedTextField;
import javax.swing.JSpinner;

/**
 * Dollar NumberEditor for a JSpinner.
 * <p/>
 * Makes lead $ optional when keying.
 * <p/>
 * Based on Thomas Fritsch's version posted in comp.lang.java.gui.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2007-08-15
 * @since 2007-08-15
 */
@SuppressWarnings( { "WeakerAccess" } )
public final class DollarNumberEditor extends JSpinner.NumberEditor
    {
    /**
     * constructor
     *
     * @param spinner JSpinner this editor is attached to.
     */
    public DollarNumberEditor( JSpinner spinner )
        {
        super( spinner );
        JFormattedTextField ftf = getTextField();
        ftf.setEditable( true );
        ftf.setFormatterFactory( new DollarNumberFormatterFactory() );
        }
    }
