/*
 * [HexNumberFormatterFactory.java]
 *
 * Summary: hex NumberFormatterFactory for a JSpinner.
 *
 * Copyright: (c) 2007-2016 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2007-08-15 Based on Thomas Fritsch's version posted in comp.lang.java.gui.
 */
package com.mindprod.spinner;

import javax.swing.text.DefaultFormatterFactory;

/**
 * hex NumberFormatterFactory for a JSpinner.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2007-08-15 Based on Thomas Fritsch's version posted in comp.lang.java.gui.
 * @since 2007-08-15
 */
final class HexNumberFormatterFactory extends DefaultFormatterFactory
    {
    /**
     * constructor
     *
     * @param width how many chars wide the field is.
     */
    public HexNumberFormatterFactory( int width )
        {
        super( new HexNumberFormatter( width ) );
        }
    }
