/*
 * [LZNumberFormatterFactory.java]
 *
 * Summary: Left zero NumberFormatterFactory for a JSpinner.
 *
 * Copyright: (c) 2011-2016 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2011-02-26 initial version, for DateSpinner
 */
package com.mindprod.spinner;

import javax.swing.text.DefaultFormatterFactory;

/**
 * Left zero NumberFormatterFactory for a JSpinner.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2011-02-26 initial version, for DateSpinner
 * @since 2011-02-26
 */
final class LZNumberFormatterFactory extends DefaultFormatterFactory
    {
    /**
     * constructor
     *
     * @param width how many chars wide the field is.
     */
    public LZNumberFormatterFactory( int width )
        {
        super( new LZNumberFormatter( width ) );
        }
    }
